CADsite

  • wo 21 08 2019, 14:54:20
  • Welkom, gast
Log in of registreer jezelf.

Login met gebruikersnaam, wachtwoord en sessielengte
Geavanceerd zoeken  

Nieuws:

Toon bijdragen

Deze sectie stelt je in staat om alle bijdragen van dit lid te bekijken. Je kunt alleen de bijdragen zien waar je op dit moment toegang toe hebt.

Berichten - roy_043

Pagina's: [1] 2 3 ... 95
1
AutoCAD probleem / Re: autocad en Catalina
« Gepost op: di 13 08 2019, 12:35:41 »
Op een ander forum zie ik dat openbare discussies over Apple beta software niet zijn toegestaan:
https://forum.freecadweb.org/viewtopic.php?f=3&p=326590#p326580

2
AutoCAD probleem / Re: setbylayerreverse en ApplytoBlockObjects
« Gepost op: vr 19 07 2019, 10:04:12 »
(defun c:InheritLayerProps ( / doc lst)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-endundomark doc)
  (vla-startundomark doc)
  (vlax-for obj (vla-get-layers doc)
    (setq lst
      (cons
        (list
          (vla-get-name obj)
          (list 'color      256       (vlax-get obj 'color))
          (list 'linetype   "ByLayer" (vlax-get obj 'linetype))
          (list 'lineweight -1        (vlax-get obj 'lineweight))
        )
        lst
      )
    )
  )
  (vlax-for blk (vla-get-blocks doc)
    (if
      (and
        (= :vlax-false (vla-get-islayout blk))
        (= :vlax-false (vla-get-isxref blk))
        (= :vlax-false (vla-get-isdynamicblock blk))
        (/= "*" (substr (vla-get-name blk) 1 1))
      )
      (vlax-for obj blk
        (foreach sub (cdr (assoc (vla-get-layer obj) lst))
          (if (= (vlax-get obj (car sub)) (cadr sub))
            (vlax-put obj (car sub) (caddr sub))
          )
        )
      )
    )
  )
  (vla-endundomark doc)
  (princ)
)

3
AutoCAD probleem / Re: setbylayerreverse en ApplytoBlockObjects
« Gepost op: vr 19 07 2019, 09:23:45 »
@Fly: je spreekt alleen over de color, maar de voorbeeldcode verandert ook de linetype en lineweight properties.

Maar probeer dit eens:
(defun c:InheritLayerProps ( / doc lst)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-endundomark doc)
  (vla-startundomark doc)
  (vlax-for obj (vla-get-layers doc)
    (setq lst
      (cons
        (list
          (vla-get-name obj)
          (cons 'color (vlax-get obj 'color))
          (cons 'linetype (vlax-get obj 'linetype))
          (cons 'lineweight (vlax-get obj 'lineweight))
          ; Material?
          ; Transparency?
          ; LinetypeScale?
        )
        lst
      )
    )
  )
  (vlax-for blk (vla-get-blocks doc)
    (if
      (and
        (= :vlax-false (vla-get-islayout blk))
        (= :vlax-false (vla-get-isxref blk))
        (= :vlax-false (vla-get-isdynamicblock blk))
        (/= "*" (substr (vla-get-name blk) 1 1))
      )
      (vlax-for obj blk
        (foreach sub (cdr (assoc (vla-get-layer obj) lst))
          (vlax-put obj (car sub) (cdr sub))
        )
      )
    )
  )
  (vla-endundomark doc)
  (princ)
)

4
AutoCAD probleem / Re: Fillet tussen opengaande lijnen
« Gepost op: wo 13 03 2019, 21:44:32 »
_Circle > _TTR

5
AutoCAD probleem / Re: PC3 bestand niet bruikbaar op alle computers
« Gepost op: wo 13 02 2019, 14:43:19 »
Misschien is dit in feite hetzelfde probleem?:
https://www.cadsite.be/smf/index.php?topic=6822.msg36297#msg36297

6
(defun c:Test ( / enm pt)
  (if
    (and
      (setq enm (car (entsel)))
      (setq pt (getpoint "\nSelect point: "))
    )
    (progn
      ;; (vlax-curve-getClosestPointToProjection curveObj givenPt normal [extend])
      (princ "\nMet projection: ")
      (print (vlax-curve-getclosestpointtoprojection enm pt '(0.0 0.0 1.0) T))
      ;; (vlax-curve-getClosestPointTo curveObj givenPt [extend])
      (princ "\nZonder projection: ")
      (print (vlax-curve-getclosestpointto enm pt T))
    )
  )
  (princ)
)

7
Iets met inters en polar moet mogelijk zijn. Of anders met vlax-curve-getclosestpointtoprojection.

8
AutoCAD probleem / Re: Niet alle CTB's zichtbaar in "Plot" window
« Gepost op: za 02 02 2019, 09:23:12 »
Eventueel kan het ook met lees- en schrijfrechten te maken hebben.

9
AutoCAD probleem / Re: Process Acad.exe blijft lopen.
« Gepost op: vr 14 12 2018, 22:58:56 »
Is er sprake van afdrukken op de achtergrond?

10
AutoCAD probleem / Re: Toolpalettes met relatieve paden
« Gepost op: za 17 11 2018, 12:31:56 »
Misschien helpt het DOS-commando SUBST. Hiermee kun je een map koppelen aan een virtuele harde schijf.

11
Autolisp / Re: vla-activate
« Gepost op: do 25 10 2018, 22:08:56 »
In theorie kun je op het activeren van een document met een reactor reageren. Maar die code moet dan in alle tekeningen al geladen zijn. De reactor werkt permanent maar zal alleen in bepaalde situaties taken opstarten. Dit kun je bijvoorbeeld regelen met vl-bb-set/vl-bb-ref. Al met al niet gemakkelijk, maar waarschijnlijk te doen.

Problematisch is wel dat het script, dat dan nog slechts documenten activeert, niet wacht op het einde van de door de reactor gestarte taken. Er kunnen dus meerdere (te veel?) processen tegelijk gaan plaatsvinden.

Ik raad sterk aan om naar een Visual Lisp oplossing te streven.

12
Autolisp / Re: vla-activate
« Gepost op: do 25 10 2018, 09:43:31 »
In BricsCAD werkt de voorgestelde code wel. Maar soms zijn in BC dingen mogelijk die in AutoCAD niet werken.

Wellicht kun je de bewerking helemaal uitvoeren zonder script met Visual Lisp functies. Dan hoef je vla-activate niet eens te gebruiken.

Andere suggesties:
1.
Gebruik in het script het commando _Open om de al geopende tekeningen te activeren (werkt niet in BC i.v.m. alert-dialoog die niet te onderdrukken lijkt).
2.
Laat het script de tekeningen één voor één sluiten (waarschijnlijk ongewenst).
3.
Heel misschien werkt zoiets:
(vla-sendcommand (vla-get-activedocument (vlax-get-acad-object)) "(vla-activate (vla-item (vla-get-documents (vlax-get-acad-object)) \"262841.dwg\")) ")

13
Autolisp / Re: vla-activate
« Gepost op: wo 24 10 2018, 11:46:04 »
Op het eerste gezicht lijkt het vreemd om deze code in een SCR-bestand te gebruiken. Kun je de inhoud van dat bestand geven?

14
Autolisp / Re: lijst met geopende tekeningen
« Gepost op: do 18 10 2018, 15:14:14 »
@Gery: Je stapelt reverse op reverse:

(setq lst (reverse (cons 1 lst))) => (1)
(setq lst (reverse (cons 2 lst))) => (1 2)
(setq lst (reverse (cons 3 lst))) => (2 1 3)
...

Probeer dit:
(reverse (vlax-for doc (vla-get-documents (vlax-get-acad-object)) (setq lst (cons (vla-get-name doc) lst))))

15
Autolisp / Re: lijst met geopende tekeningen
« Gepost op: do 18 10 2018, 09:57:10 »
Reverse werkt naar behoren...

Pagina's: [1] 2 3 ... 95